# TODO:
# - %attr(755,davfs2,davfs2) %{_var}/cache/%{name} - Shouldn't it be 700?
Summary:	Web-based Distributed Authoring and Versioning - caching version
Summary(pl.UTF-8):	Bazujące na WWW Rozproszone Autoryzowanie i Wersjonowanie - wersja z cache
Name:		davfs2
Version:	1.6.0
Release:	1
License:	GPL v3+
Group:		Networking/Utilities
Source0:	http://download.savannah.gnu.org/releases/davfs2/%{name}-%{version}.tar.gz
# Source0-md5:	930487ab22664a73fa8938483752eb03
URL:		http://savannah.nongnu.org/projects/davfs2
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1.11.6
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	neon-devel >= 0.27
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.118
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	neon >= 0.27
Provides:	group(davfs2)
Provides:	user(davfs2)
Conflicts:	davfs
Conflicts:	setup < 2.7.2-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebDAV is an acronym for Web-based Distributed Authoring and Version-
ing. Usually HTTP is a read only protocol, but if you install DAV on
your web server, it becomes writable. Furthermore, if you use DAVfs,
you can mount your web server onto your filesystem and can use it as a
normal disk.

This package contains the caching version of davfs.

%description -l pl.UTF-8
WebDAV to bazujące na WWW Rozproszone Autoryzowanie i Wersjonowanie.
Zazwyczaj protokół HTTP jest protokołem tylko do odczytu, lecz po
zainstalowaniu DAVa staje się on również zapisywalny. Dodatkowo DAVfs
umożliwia montowanie serwera WWW jako systemu plików, co pozwala na
używanie go jak normalnego dysku.

Ten pakiet zawiera wersję davfs korzystającą z cache'u.

%prep
%setup -q

%build
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--sbindir="/sbin"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/cache/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 242 davfs2
%useradd -u 242 -r -d /var/cache/%{name} -s /bin/false -c "DAVfs User" -g davfs2 davfs2

%postun
if [ "$1" = "0" ]; then
	%userremove davfs2
	%groupremove davfs2
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README THANKS TODO
%{_mandir}/man5/*.5*
%{_mandir}/man8/*.8*
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %attr(600,root,root) %{_sysconfdir}/%{name}/secrets
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%attr(4750,root,davfs2) /sbin/mount.davfs
%attr(4750,root,davfs2) /sbin/umount.davfs
%attr(755,davfs2,davfs2) %{_var}/cache/%{name}
%lang(de) %{_mandir}/de/man5/*.5*
%lang(de) %{_mandir}/de/man8/*.8*
%lang(es) %{_mandir}/es/man5/*.5*
%changelog
* Fri Jan 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/davfs2.git;a=log;h=master

* Thu Dec 31 2020 Jan Palus <atler@pld-linux.org> ec03250
- up to 1.6.0

* Sat Jan 31 2015 Tomasz Pala <gotar@pld-linux.org> 2777008
- updated to 1.5.2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a85fcfe
- updated gettext BR

* Fri Apr 05 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 7017831
- rel up - rebuild with new openssl

* Wed Dec 19 2012 Andrzej Zawadzki <zawadaa@pld-linux.org> 71cbf0e
- up to 1.4.7
- works, I use that sinc 2009...

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 77065c7
- BR: gettext-devel

* Tue May 04 2010 lisu <lisu@pld-linux.org> f8a0d86
- 1.4.6

* Fri Mar 26 2010 pawelz <pawelz@pld-linux.org> bdfef48
- cosmetics, TODO

* Fri Mar 26 2010 pawelz <pawelz@pld-linux.org> 662c5f8
- Conflicts: setup < 2.7.2-1 because of $HOME directory of nobody and stats users

* Thu Mar 25 2010 pawelz <pawelz@pld-linux.org> a5dc435
- %attr(4750,root,davfs2) mount.davfs/umount.davfs

* Mon Nov 16 2009 Krzysztof Goliński <dirdival@pld-linux.org> 72e2b41
- up to 1.4.5

* Mon Oct 19 2009 lisu <lisu@pld-linux.org> 5f817b5
- some changes in pl

* Mon Oct 19 2009 lisu <lisu@pld-linux.org> 2986f5f
- up to 1.4.3
- md5 for Source0

* Fri Sep 11 2009 lisu <lisu@pld-linux.org> 50b6e99
- kill useless R: /sbin/getid
- GPL v3+ license

* Thu Sep 10 2009 lisu <lisu@pld-linux.org> b289852
- more cleanups

* Thu Sep 10 2009 lisu <lisu@pld-linux.org> 33c3c19
- builds with autotools

* Thu Sep 10 2009 lisu <lisu@pld-linux.org> cefc89d
- cleaned up too much

* Thu Sep 10 2009 matik <matik@pld-linux.org> a8e00ba
- more cleanup
- rel 0.3

* Tue Sep 08 2009 matik <matik@pld-linux.org> 3102e1e
- changed uid/gid (and updated uid_gid_database.txt)
- general tidying
- rel 0.2

* Wed Jul 22 2009 matik <matik@pld-linux.org> 506b66d
- initial
- builds, works, rel. 0.1

